# CleverMaps Python SDK

The `cm-python-sdk` package provides high-level functions to interact with the CleverMaps platform over the REST API (https://clevermaps.docs.apiary.io/#).

The package can be used in following use cases:
* Custom data apps
* Custom scientific notebooks
* Custom data scripts

Currently supported functions:
* Query data and metrics
* Export data and metrics
* Fulltext search in the dataset
* Get distinct property values
* Get available datasets
* List metadata
* Get metadata
* Update metadata
* Data load
* Data dump

## Requirements

-  CleverMaps project (https://docs.clevermaps.io/docs/start-creating-projects-in-clevermaps)
-  Python 3.10 or newer

## Installation

Run the following command to install the `cm-python-sdk` package on your system:

    pip install git+https://github.com/clevermaps/cm-python-sdk.git

## Example

Check `examples.py`

## Changelog

0.0.1 Initial version
0.0.2 Data load/dump; Metada update;
